JsonGenerationException (Jackson-core 2.4.0 API)
Date: 2014-05-29

com.fasterxml.jackson.core

## Class JsonGenerationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.core.JsonGenerationException

- All Implemented Interfaces:
    Serializable

      public class JsonGenerationException
      extends JsonProcessingException

  Exception type for exceptions during JSON writing, such as trying to output content in wrong context (non-matching end-array or end-object, for example).
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonGenerationException(String msg)`
    `JsonGenerationException(String msg, Throwable rootCause)`
    `JsonGenerationException(Throwable rootCause)`

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `getLocation, getMessage, getMessageSuffix, getOriginalMessage, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonGenerationException

          public JsonGenerationException(Throwable rootCause)

    - #### JsonGenerationException

          public JsonGenerationException(String msg)

    - #### JsonGenerationException

          public JsonGenerationException(String msg,
                                 Throwable rootCause)

Copyright © 2014 FasterXML. All Rights Reserved.